#include <bits/stdc++.h>

using namespace std;
int N, L, br;
int H[1000000005];

int main(){
    cin >> N >> L;
    for(int i = 1; i <= N; i++){
        cin >> H[i];
    }
    for(int i = 1; i <= N; i++){
        if(H[i] <= L){
            cout << i << endl;
            break;
        }
        else {
            br++;
        }
    }
    if(br == N){
        cout << "-1" << endl;
    }
    return 0;
}